{ Unit:      WINNT
  missing pieces translated from various sources

 Translator: Peter Sawatzki (ps)
             Buchenhof 3, 58091 Hagen, Germany
 CompuServe: 100031,3002

  Date:    Author:
  01/03/96 ps     first version for Delphi 2.0

  Copyright (c) 1996 Peter Sawatzki. All Rights Reserved.

}

Unit WinNT;
Interface
Uses
  Windows;
Const
  {- from WINNT.H }

  SEMAPHORE_MODIFY_STATE      = $0002;
  SEMAPHORE_ALL_ACCESS        = STANDARD_RIGHTS_REQUIRED Or SYNCHRONIZE Or $3;

  SERVICE_KERNEL_DRIVER       = $00000001;
  SERVICE_FILE_SYSTEM_DRIVER  = $00000002;
  SERVICE_ADAPTER             = $00000004;
  SERVICE_RECOGNIZER_DRIVER   = $00000008;

  SERVICE_DRIVER              = SERVICE_KERNEL_DRIVER
                             Or SERVICE_FILE_SYSTEM_DRIVER
                             Or SERVICE_RECOGNIZER_DRIVER;

  SERVICE_WIN32_OWN_PROCESS   = $00000010;
  SERVICE_WIN32_SHARE_PROCESS = $00000020;
  SERVICE_WIN32               = SERVICE_WIN32_OWN_PROCESS
                             Or SERVICE_WIN32_SHARE_PROCESS;

  SERVICE_INTERACTIVE_PROCESS = $00000100;

  SERVICE_TYPE_ALL            = SERVICE_WIN32
                             Or SERVICE_ADAPTER
                             Or SERVICE_DRIVER
                             Or SERVICE_INTERACTIVE_PROCESS;

  { Start Type }
  SERVICE_BOOT_START        =     $00000000;
  SERVICE_SYSTEM_START      =     $00000001;
  SERVICE_AUTO_START        =     $00000002;
  SERVICE_DEMAND_START      =     $00000003;
  SERVICE_DISABLED          =     $00000004;

  { Error control type }
  SERVICE_ERROR_IGNORE      =     $00000000;
  SERVICE_ERROR_NORMAL      =     $00000001;
  SERVICE_ERROR_SEVERE      =     $00000002;
  SERVICE_ERROR_CRITICAL    =     $00000003;

  { The types of events that can be logged. }
  EVENTLOG_SUCCESS          =     $0000;
  EVENTLOG_ERROR_TYPE       =     $0001;
  EVENTLOG_WARNING_TYPE     =     $0002;
  EVENTLOG_INFORMATION_TYPE =     $0004;
  EVENTLOG_AUDIT_SUCCESS    =     $0008;
  EVENTLOG_AUDIT_FAILURE    =     $0010;

Type
  TSecurityInformation = Integer;

Implementation
End.
